> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywithatoa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payout Transactions

> Retrieve payout transactions via the Atoa Payouts API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.

This API retrieves a paginated list of transactions associated with a specific payout ID.

### Authorization

Bearer `<token>`

### Path Parameters

**payoutId** `string` *required*

Unique identifier of the payout. This can be obtained from the [Payouts
API](https://docs.paywithatoa.com/api-reference/payouts/get-payouts.md).

### Query Parameters

**limit** `integer`

Maximum number of records to return per page. Default: 10

**page** `integer`

Page number for pagination, starting from 0. Default: 0

### Response

**data** `array`

List of transaction records

**Transaction Object**

**paymentIdempotencyId** `string`

Unique identifier for the payment transaction

**paymentRequestId** `string`

Unique identifier for the payment request. Only present if the payment was processed through the [Process Payment API](https://docs.paywithatoa.com/api-reference/payment/process-payment.md).

**createdAt** `string`

ISO 8601 timestamp of when the transaction was created

**amount** `string`

Transaction amount with decimal precision

**currency** `string`

Currency code (e.g., GBP)

**refundId** `string`

Unique identifier for the refund transaction (null if not a refund). Only present if the transaction was processed through the [Refund API](https://docs.paywithatoa.com/api-reference/refund/initiate-refund.md).

**refundPaymentReference** `string`

Reference to the original payment being refunded. Only present if the transaction is a refund (when isRefund=true).

**payoutReferenceId** `string`

Reference identifier for the associated payout

**transactionFinalizedAt** `string`

ISO 8601 timestamp of when the transaction was finalized

**isRefund** `boolean`

Indicates whether the transaction is a refund (true/false)

**callbackParams** `object`

Optional additional parameters provided in callbacks. Only present if the payment was processed through the [Process Payment API](https://docs.paywithatoa.com/api-reference/payment/process-payment.md).

**notes** `string`

Optional notes associated with the transaction. Only present if the payment was processed through the [Process Payment API](https://docs.paywithatoa.com/api-reference/payment/process-payment.md).

**metadata** `object`

Only present when metadata was supplied on the payment. See [Process Payment](https://docs.paywithatoa.com/api-reference/Payment/process-payment.md) for the field limits.

**page** `integer`

Current page number

**itemPerPage** `integer`

Number of items per page

**totalCount** `integer`

Total number of records matching the query

```json 200 theme={null}
{
    "data": [
      {
            "paymentIdempotencyId": "ATOA1745577029069",
            "paymentRequestId": "04869b92-7462-4d89-adbb-c169e735dbaa", // Only present if the payment was processed through the Process-Payment.
            "createdAt": "2025-04-25T10:30:36.655Z",
            "amount": "123.00",
            "currency": "GBP",
            "refundId": null,
            "refundPaymentReference": null,
            "payoutReferenceId": "APY4zt9jjqozv7",
            "transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
            "isRefund": false,
            "callbackParams": { 
                "test": "67"
            }, // Only present if the payment was processed through the Process-Payment.
            "notes": "Customer payment for order #12345", // Only present if the payment was processed through the Process-Payment.
            "metadata": { // Only present if metadata was supplied when creating the payment.
                "bookingId": "BK-42427",
                "orderReference": "ORD-1"
            }
        },
        {
            "paymentIdempotencyId": "ATOA1745734720994",
            "createdAt": "2025-04-27T06:18:48.086Z",
            "amount": "162.06",
            "currency": "GBP",
            "refundId": null,
            "refundPaymentReference": null,
            "payoutReferenceId": "APY4zt9jjqozv7",
            "transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
            "isRefund": false
        },
        {
            "paymentIdempotencyId": "ATOA1745577449258",
            "createdAt": "2025-04-25T10:37:38.988Z",
            "amount": "1000.00",
            "currency": "GBP",
            "refundId": null,
            "refundPaymentReference": null,
            "payoutReferenceId": "APY4zt9jjqozv7",
            "transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
            "isRefund": false
        },
        {
            "paymentIdempotencyId": "ATOA1745557721665",
            "createdAt": "2025-04-25T10:35:08.683Z",
            "amount": "45.76",
            "currency": "GBP",
            "refundId": "5e82db42-bc4a-4098-802d-a7be0c5d50ad",
            "refundPaymentReference": "ATOA1745557721665",
            "payoutReferenceId": "APY4zt9jjqozv7",
            "transactionFinalizedAt": "2025-04-27T06:30:10.925Z",
            "isRefund": true
        }
    ],
    "page": 0,
    "itemPerPage": 4,
    "totalCount": 4
}
```

```json 400 theme={null}
{
  "name": "AJV_VALIDATION_ERROR",
  "message": "Bad request on parameter \"request.path.id\".\nValue must match format \"uuid\". Given value: \"{payoutId}\"",
  "status": 400,
  "errors": [
    {
      "instancePath": "",
      "schemaPath": "#/format",
      "keyword": "format",
      "params": {
        "format": "uuid"
      },
      "message": "must match format \"uuid\"",
      "data": "{payoutId}",
      "dataPath": ""
    }
  ]
}
```

```json 401 theme={null}
{
  "name": "INVALID_CREDENTIAL",
  "message": "Invalid token",
  "status": 401,
  "errors": []
}
```

```json 404 theme={null}
{
  "name": "TRANSACTION_NOT_FOUND",
  "message": "No transactions found for this payout",
  "status": 404,
  "errors": []
}
```

```json 500 theme={null}
{
  "name": "INTERNAL_SERVER_ERROR",
  "message": "Internal Server Error",
  "status": 500,
  "errors": []
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.